org.apache.poi.hwpf.model

## Class Hyphenation

- java.lang.Object
- - org.apache.poi.hwpf.model.types.HRESIAbstractType
  - - org.apache.poi.hwpf.model.Hyphenation

- All Implemented Interfaces:
    Duplicatable

      @Internal
      public final class Hyphenation
      extends HRESIAbstractType
      implements Duplicatable

  Hyphenation. Substructure of the `CharacterProperties`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwpf.model.types.HRESIAbstractType

      `field_1_hres, field_2_chHres, HRES_ADD_LETTER_BEFORE, HRES_CHANGE_LETTER_AFTER, HRES_CHANGE_LETTER_BEFORE, HRES_DELETE_BEFORE_CHANGE_BEFORE, HRES_DELETE_LETTER_BEFORE, HRES_NO, HRES_NORMAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Hyphenation()`
    `Hyphenation(Hyphenation other)`
    `Hyphenation(short hres)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Hyphenation` | `clone()` Deprecated.
    `Hyphenation` | `copy()`
    `boolean` | `equals(java.lang.Object obj)`
    `short` | `getValue()`
    `int` | `hashCode()`
    `boolean` | `isEmpty()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.poi.hwpf.model.types.HRESIAbstractType

      `fillFields, getChHres, getHres, getSize, serialize, setChHres, setHres`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Hyphenation

          public Hyphenation()

    - #### Hyphenation

          public Hyphenation(Hyphenation other)

    - #### Hyphenation

          public Hyphenation(short hres)

  - ### Method Detail

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public Hyphenation clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public Hyphenation copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Returns:
        a deep copy of the implementing class / instance

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getValue

          public short getValue()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isEmpty

          public boolean isEmpty()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `HRESIAbstractType`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.